%define anolis_release 2

Name:           python-userpath
Version:        1.8.0
Release:        %{anolis_release}%{?dist}
Summary:        Cross-platform tool for adding locations to the user PATH

# SPDX
License:        MIT
URL:            https://github.com/ofek/userpath
Source0:        %{pypi_source userpath}

# Man pages in groff_man(7) format hand-written for Fedora based on --help
# output.
Source10:       userpath.1
Source11:       userpath-append.1
Source12:       userpath-prepend.1
Source13:       userpath-verify.1

BuildArch:      noarch

BuildRequires:  python3-devel

%global common_description %{expand:
Cross-platform tool for adding locations to the user PATH, no elevated
privileges required!}

%description %common_description


%package -n     python3-userpath
Summary:        %{summary}

%description -n python3-userpath %common_description


%package -n     python3-userpath-doc
Summary:        Documentation for userpath

%description -n python3-userpath-doc
Documentation for userpath.


%prep
%autosetup -n userpath-%{version}

# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters
sed -r '/^(coverage)$/d' requirements-dev.txt |
  tee requirements-dev.filtered.txt


%generate_buildrequires
%pyproject_buildrequires requirements-dev.filtered.txt


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files userpath

install -t '%{buildroot}%{_mandir}/man1' -p -m 0644 -D \
    '%{SOURCE10}' '%{SOURCE11}' '%{SOURCE12}' '%{SOURCE13}'

echo "%%{python3_sitelib}/userpath-%{version}.dist-info/licenses/LICENSE.txt" >> %{pyproject_files}


%check
# We use pytest directly, since the only contribution of the tox configuration
# is adding coverage analysis—which we do not want.
%pytest


%files -n python3-userpath -f %{pyproject_files}
%{_bindir}/userpath
%{_mandir}/man1/userpath*.1*

%files -n python3-userpath-doc
%doc HISTORY.rst
%doc README.md

%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.8.0-2
- Rebuild with python3.11

* Fri May 19 2023 Funda Wang <fundawang@yeah.net> - 1.8.0-1
- Import package for anolis 23
